wxWidgets: wxGIFDecoder Class Reference

| Version: 3.2.5

Public Member Functions | Protected Member Functions | List of all members
wxGIFDecoder Class Reference

`#include <wx/gifdecod.h>`

Inheritance diagram for wxGIFDecoder:
[legend]

## Detailed Description

An animation decoder supporting animated GIF files.

## Public Member Functions
| wxGIFDecoder ()
| ~wxGIFDecoder ()
virtual bool | Load (wxInputStream &stream)
| Load the animation image frames from the given stream. More...
virtual wxAnimationDecoder * | Clone () const
| Create a copy of this decoder. More...
virtual wxAnimationType | GetType () const
| Return the animation type this decoder implements. More...
virtual bool | ConvertToImage (unsigned int frame, wxImage *image) const
| Convert given frame to `wxImage`. More...
virtual wxSize | GetFrameSize (unsigned int frame) const
virtual wxPoint | GetFramePosition (unsigned int frame) const
virtual wxAnimationDisposal | GetDisposalMethod (unsigned int frame) const
| What should be done after displaying this frame. More...
virtual long | GetDelay (unsigned int frame) const
| Return the number of milliseconds this frame should be displayed. More...
virtual wxColour | GetTransparentColour (unsigned int frame) const
| The transparent colour for this frame, if any, or `wxNullColour`. More...
Public Member Functions inherited from wxAnimationDecoder
| wxAnimationDecoder ()
bool | CanRead (wxInputStream &stream) const
| Returns true if this decoder supports loading from the given stream. More...
wxSize | GetAnimationSize () const
wxColour | GetBackgroundColour () const
unsigned int | GetFrameCount () const

## Protected Member Functions
virtual bool | DoCanRead (wxInputStream &stream) const
| Checks the signature of the data in the given stream and returns true if it appears to be a valid animation format recognized by the animation decoder; this function should modify the stream current position without taking care of restoring it since `CanRead()` will do it. More...

## Constructor & Destructor Documentation

## ◆ wxGIFDecoder()

wxGIFDecoder::wxGIFDecoder | ( |  | ) |

## ◆ ~wxGIFDecoder()

wxGIFDecoder::~wxGIFDecoder | ( |  | ) |

## Member Function Documentation

## ◆ Clone()

virtual wxAnimationDecoder* wxGIFDecoder::Clone | ( |  | ) | const
| virtual

Create a copy of this decoder.

Implements wxAnimationDecoder.

## ◆ ConvertToImage()

virtual bool wxGIFDecoder::ConvertToImage | ( | unsigned int | frame,
|  | wxImage * | image
| ) |  | const
| virtual

Convert given frame to `wxImage`.

Implements wxAnimationDecoder.

## ◆ DoCanRead()

virtual bool wxGIFDecoder::DoCanRead | ( | wxInputStream & | stream | ) | const
| protectedvirtual

Checks the signature of the data in the given stream and returns true if it appears to be a valid animation format recognized by the animation decoder; this function should modify the stream current position without taking care of restoring it since `CanRead()` will do it.

Implements wxAnimationDecoder.

## ◆ GetDelay()

virtual long wxGIFDecoder::GetDelay | ( | unsigned int | frame | ) | const
| virtual

Return the number of milliseconds this frame should be displayed.

If -1 is returned then the frame must be displayed forever.

Implements wxAnimationDecoder.

## ◆ GetDisposalMethod()

virtual wxAnimationDisposal wxGIFDecoder::GetDisposalMethod | ( | unsigned int | frame | ) | const
| virtual

What should be done after displaying this frame.

Implements wxAnimationDecoder.

## ◆ GetFramePosition()

virtual wxPoint wxGIFDecoder::GetFramePosition | ( | unsigned int | frame | ) | const
| virtual

Implements wxAnimationDecoder.

## ◆ GetFrameSize()

virtual wxSize wxGIFDecoder::GetFrameSize | ( | unsigned int | frame | ) | const
| virtual

Implements wxAnimationDecoder.

## ◆ GetTransparentColour()

virtual wxColour wxGIFDecoder::GetTransparentColour | ( | unsigned int | frame | ) | const
| virtual

The transparent colour for this frame, if any, or `wxNullColour`.

Implements wxAnimationDecoder.

## ◆ GetType()

virtual wxAnimationType wxGIFDecoder::GetType | ( |  | ) | const
| virtual

Return the animation type this decoder implements.

Implements wxAnimationDecoder.

## ◆ Load()

virtual bool wxGIFDecoder::Load | ( | wxInputStream & | stream | ) |
| virtual

Load the animation image frames from the given stream.

Implements wxAnimationDecoder.